ghc-prim-0.10.0: GHC primitives

Safe Haskell | None
Language | Haskell2010

GHC.Prim.Panic

Description

Primitive panics.

Users should not import this module. It is GHC internal only.

Synopsis

- absentSumFieldError :: a
- panicError :: Addr# -> a
- absentError :: forall (a :: Type). Addr# -> a
- absentConstraintError :: forall (a :: Type). Addr# -> a

# Documentation

absentSumFieldError :: a Source #

Closure introduced by GHC.Stg.Unarise for unused unboxed sum fields.

See Note [aBSENT_SUM_FIELD_ERROR_ID] in GHC.Core.Make

panicError :: Addr# -> a Source #

Display the CString whose address is given as an argument and exit.

absentError :: forall (a :: Type). Addr# -> a Source #

Displays "Oops! Entered absent arg" ++ errormsg and exits the program.

absentConstraintError :: forall (a :: Type). Addr# -> a Source #